# Ace

The main class required to set up an Ace instance in the browser.

### Methods

- - Ace.createEditSession(Document | String text, TextMode mode)

Creates a new `EditSession`, and returns the associated `Document`.

Creates a new `EditSession`, and returns the associated `Document`.

#### Arguments

text | Document | String | Required. If `text` is a `Document`, it associates the `EditSession` with it. Otherwise, a new `Document` is created, with the initial text
mode | TextMode | Required. The inital language mode to use for the document

- - Ace.edit(String | DOMElement el)

Embeds the Ace editor into the DOM, at the element provided by `el`.

Embeds the Ace editor into the DOM, at the element provided by `el`.

#### Arguments

el | String | DOMElement | Required. Either the id of an element, or the element itself

- - Ace.require(String moduleName)
  - - Object

Provides access to require in packed noconflict mode

Provides access to require in packed noconflict mode

#### Arguments

moduleName | String | Required.